Subject: Re: [PATCH v2 1/3] dmaengine: mpc512x: add device tree binding document

From: Mark Rutland <[email-masked]>
Date: Fri, 4 Jul 2014 18:04:44 +0100

Hi Alexander,

Apologies for the late reply. DT-related email is somewhat a firehose
and unfortunately I lose track of things.

On Thu, Jun 19, 2014 at 02:59:19PM +0100, Alexander Popov wrote:
> 2014-06-18 18:56 GMT+04:00 Alexander Popov <[email-masked]>:
> > 2014-06-18 17:37 GMT+04:00 Mark Rutland <[email-masked]>:
> >> On Wed, Jun 18, 2014 at 11:48:10AM +0100, Alexander Popov wrote:
> >>> Introduce a device tree binding document for the MPC512x DMA controller
> >>> +Optional properties:
> >>> +- #dma-cells: the length of the DMA specifier, must be <1>.
> >>> +     Each channel of this DMA controller has a peripheral request line,
> >>> +     the assignment is fixed in hardware. This one cell
> >>> +     in dmas property of a client device represents the channel number.
> >>
> >> Surely this is required to be able to refer to DMA channels on the
> >> device?
> >
> > Excuse me, I didn't understand your question.
> > Do you inquire about the reason of making #dma-cells an optional property?
> > It's optional because device tree based lookup support is made
> > optional (part 3/3).
> 
> Mark, did I answer your question?
> Should I fix anything in this patch series?

I would move it under required properties even if we happen to not use
it in certain edge cases.

Moving forwards everything should be DT-driven, so it'll be necessary.

Thanks,
Mark.